/* General Styling */

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body{
    font-family: Arial, sans-serif;
    line-height: 1.4;
    color: #333;
    overflow-x: hidden;
}

/* Utility Classes */

.container{
    max-width: 1100px;
    margin: auto;
}

.text-primary{
    color: #3693ff;
}

.bg-light{
    background: #f4f4f4;
    color: #333;
}

.bg-dark{
    background: #333;
    color: #fff;
}

/* Navbar */
#navbar{
    display: flex;
    justify-content: space-between;
    background: #333;
    color: #fff;
    padding: 1.5rem 8rem;
    position: sticky;
    top: 0;
    z-index: 1;
    border-bottom: 3px solid #3693ff;
}

#navbar ul{
    display: flex;
    align-items: center;
    list-style: none;
}

#navbar h2 a{
    color: #fff;
    text-decoration: none;
}

#navbar li a{
    text-decoration: none;
    color: #fff;
    padding: 1rem;
    font-size: 1.3rem;
    margin: 0 0.5rem;
    border-radius: 5px;
    transition: background-color 0.3s;
}

#navbar li a:hover {
    background-color: #3693ff;
}

/* Showcase Area */

#showcase {
    background: url(./img/img1.jpg) no-repeat center center/cover;
    height: 91.7vh;
}

.showcase-content {
    display: flex;
    flex-direction: column;
    text-align: center;
    align-items: center;
    justify-content: center;
    position: absolute;
    top: 81px;
    left: 0;
    bottom: 0;
    right: 0;
    background: rgba(0,0,0.6);
    color: #fff;
}

.showcase-content h1{
    font-size: 4rem;
    margin-bottom: 2rem;
}

.showcase-content .btn{
    font-size: 1.5rem;
    padding: 1rem 10rem;
    background: #3693ff;
    transition: color 0.3s, background 0.3s;
}

.btn{
    color: #3693ff;
    text-decoration: none;
    display: inline-block;
    padding: 1rem 2rem;
    border-radius: 10px;
    border: 1px solid #3693ff;
    font-weight: bold;
}

.showcase-content .btn:hover{
    background: #3693ff;
    color: #fff;
}

/* Section About */

#about{
    padding: 5rem 0;
}

#about h2, services h2{
    text-align: center;
    font-size: 3rem;
    margin-bottom: 3rem;
}

#about h3{
    font-size: 2rem;
    margin-bottom: 1rem;
}

#about p.lead{
    margin-bottom: 1rem;
}

#about .about-content{
    display: flex; 
}

#about .about-text,
#about .about-image{
    flex: 1;
}

#about .about-text{
    text-align: justify;
}

#about .about-image img {
    display: block;
    margin-left: auto;
    width: 75%;
    border-radius: 40%;
    margin-top: 60px;
}

/* Section: Services */
#services{
    padding: 5rem 0
}

#services h3{
    text-align: center;
    margin-bottom: 2rem;
    font-size: 2rem;
}

#services ..boxes{
    display: flex;
}

#services .box {
    background: #fff;
    flex: 1;
    padding: 3rem;
    margin: 0 3rem;
    border-radius: 10px;
    box-shadow: 2px 2px 5px #d1d1d1;
    font-size: 1.3rem;
}

#services.box i{
    color: #fff;
    padding: 1rem;
    background: #3693ff;
    border-radius: 50%;
    margin: 0 1rem;
    margin-bottom: 2rem;
}

/* Section: Contact */
#contact{
    padding: 5rem 0;
}
#contact h2{
    text-align: center;
    font-size: 3rem;
    margin-bottom: 8rem;
}

#contact h3{
    text-align:center;
    font-size: 2.5rem;
    margin: 3rem 0;
    margin-top: 5rem;
}

#contact .form-box{
    background: #fff;
    padding: 3rem;
    box-shadow: 2px 2px 5px #d1d1d1;
    border-radius: 10px;
}

#contact .form-group{
    margin-bottom: 2rem;
}

#contact .form-group label{
    display: block;
    margin-bottom: 0.5rem;
    width: 80%;
    margin-left: 10%;
    font-size: 1.1rem;
}

#contact .form-group input,
#contact .form-group textarea{
    width: 80%;
    margin-left: 10%;
    font-size: 1.3rem;
    padding: 1rem;
    border: 0.5px solid #333;
    border-radius: 5px;
}

#contact .form-group textarea{
    font-family: Arial, sans-serif;
}

#contact .contact-btn{
    width: 80%;
    margin-left: 10%;
    display: inline-block;
    padding: 1rem 3rem;
    border: none;
    border-radius: 5px;
    font-size: 1.5rem;
    background: #3693ff;
    color: #fff;
    margin-bottom: 2rem;
    cursor: pointer;
    transition: background 0.3s;
}

#contact .contact-btn:hover{
    background: #0378ff;
}

#contact .form-container{
    position: relative;
}

#contact .mail-icon{
    font-size: 4rem;
    background: #3693ff;
    color: #fff;
    display: inline-block;
    padding: 1.5rem 2rem;
    border-radius: 50%;
    position: absolute;
    top: -7%;
    left: 45%;
}

/* Footer */
footer{
    padding: 2.5rem;
}

footer p{
    text-align: center;
}